Update authenticated user
curl --request PUT \
--url https://api.vantage.sh/v2/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_dashboard_token": "<string>"
}
'import requests
url = "https://api.vantage.sh/v2/me"
payload = { "default_dashboard_token": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({default_dashboard_token: '<string>'})
};
fetch('https://api.vantage.sh/v2/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_workspace_token": "<string>",
"workspaces": [
{
"token": "<string>",
"name": "Acme Corp.",
"created_at": "2023-08-04T00:00:00Z",
"enable_currency_conversion": true,
"currency": "USD",
"exchange_rate_date": "<string>"
}
],
"bearer_token": {
"description": "<string>",
"created_at": "2023-08-04T00:00:00Z",
"scope": [
"<string>"
]
},
"is_account_owner": true,
"default_dashboard_token": "<string>"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Me
Update authenticated user
Update the authenticated User.
PUT
/
me
Update authenticated user
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Update the authenticated User.
The token of a Dashboard to set as the User default. Send null to clear.
Response
Me model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
True when the authenticated User or Token has the Owner role on the Account.
The token of the default Dashboard for the User.